package portlet.backing;

import java.sql.*;

import javax.faces.component.UIColumn;
import javax.faces.component.html.*;
import javax.faces.context.FacesContext;
import javax.faces.el.ValueBinding;
import javax.faces.model.ResultSetDataModel;

import javax.naming.InitialContext;


public class PortletBean {
    private HtmlForm form1;
    private HtmlOutputLabel outputLabel1;
    private HtmlDataTable dataTable1;
    private UIColumn column1;
    private UIColumn column2;
    private UIColumn column3;
    private UIColumn column4;
    private UIColumn column5;
    private UIColumn column6;
    private HtmlCommandButton commandButton1;
    private HtmlInputText inputText1;

    public void setForm1(HtmlForm form1) {
        this.form1 = form1;
    }

    public HtmlForm getForm1() {
        return form1;
    }

    public void setOutputLabel1(HtmlOutputLabel outputLabel1) {
        this.outputLabel1 = outputLabel1;
    }

    public HtmlOutputLabel getOutputLabel1() {
        return outputLabel1;
    }

    public void setDataTable1(HtmlDataTable dataTable1) {
        this.dataTable1 = dataTable1;
    }

    public HtmlDataTable getDataTable1() {
        return dataTable1;
    }


    public void setColumn1(UIColumn column1) {
        this.column1 = column1;
    }

    public UIColumn getColumn1() {
        return column1;
    }

    public void setColumn2(UIColumn column2) {
        this.column2 = column2;
    }

    public UIColumn getColumn2() {
        return column2;
    }

    public void setColumn3(UIColumn column3) {
        this.column3 = column3;
    }

    public UIColumn getColumn3() {
        return column3;
    }

    public void setColumn4(UIColumn column4) {
        this.column4 = column4;
    }

    public UIColumn getColumn4() {
        return column4;
    }

    public void setColumn5(UIColumn column5) {
        this.column5 = column5;
    }

    public UIColumn getColumn5() {
        return column5;
    }


    public void setColumn6(UIColumn column6) {
        this.column6 = column6;
    }

    public UIColumn getColumn6() {
        return column6;
    }


    public void setInputText1(HtmlInputText inputText1) {
        this.inputText1 = inputText1;
    }

    public HtmlInputText getInputText1() {
        return inputText1;
    }


    public void setCommandButton1(HtmlCommandButton commandButton1) {
        this.commandButton1 = commandButton1;
    }

    public HtmlCommandButton getCommandButton1() {
        return commandButton1;
    }


    public String commandButton_action() {


        ResultSet rs = null;
        try {
            InitialContext initialContext = new InitialContext();
            javax.sql.DataSource ds = 
                (javax.sql.DataSource)initialContext.lookup("java:comp/env/jdbc/OracleDBConnectionDS");
            java.sql.Connection connection = ds.getConnection();


            Statement stmt = 
                connection.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, 
                                           ResultSet.CONCUR_READ_ONLY);

            rs = stmt.executeQuery((String)inputText1.getValue());


            dataTable1.setBorder(5);
            dataTable1.setCellpadding("1");
            dataTable1.setVar("catalog");


            HtmlOutputText headerComponent1 = new HtmlOutputText();
            headerComponent1.setId("headerComponent1");
            headerComponent1.setValue("CatalogId");
            column1.setHeader(headerComponent1);


            HtmlOutputText headerComponent2 = new HtmlOutputText();
            headerComponent2.setId("headerComponent2");
            headerComponent2.setValue("Journal");
            column2.setHeader(headerComponent2);

            HtmlOutputText headerComponent3 = new HtmlOutputText();
            headerComponent3.setId("headerComponent3");
            headerComponent3.setValue("Publisher");
            column3.setHeader(headerComponent3);

            HtmlOutputText headerComponent4 = new HtmlOutputText();
            headerComponent4.setId("headerComponent4");
            headerComponent4.setValue("Edition");
            column4.setHeader(headerComponent4);

            HtmlOutputText headerComponent5 = new HtmlOutputText();
            headerComponent5.setId("headerComponent5");
            headerComponent5.setValue("Title");
            column5.setHeader(headerComponent5);

            HtmlOutputText headerComponent6 = new HtmlOutputText();
            headerComponent6.setId("headerComponent6");
            headerComponent6.setValue("Author");
            column6.setHeader(headerComponent6);

            HtmlOutputText column1Text = new HtmlOutputText();
            column1Text.setId("htmlOutputText1");
            ValueBinding vb = 
                FacesContext.getCurrentInstance().getApplication().createValueBinding("#{catalog.ID}");
            column1Text.setValueBinding("value", vb);

            column1.getChildren().add(column1Text);


            HtmlOutputText column2Text = new HtmlOutputText();
            column2Text.setId("htmlOutputText2");
            vb = 
 FacesContext.getCurrentInstance().getApplication().createValueBinding("#{catalog.JOURNAL}");
            column2Text.setValueBinding("value", vb);
            column2.getChildren().add(column2Text);


            HtmlOutputText column3Text = new HtmlOutputText();
            column3Text.setId("htmlOutputText3");
            vb = 
 FacesContext.getCurrentInstance().getApplication().createValueBinding("#{catalog.PUBLISHER}");
            column3Text.setValueBinding("value", vb);
            column3.getChildren().add(column3Text);


            HtmlOutputText column4Text = new HtmlOutputText();
            column4Text.setId("htmlOutputText4");
            vb = 
 FacesContext.getCurrentInstance().getApplication().createValueBinding("#{catalog.EDITION}");
            column4Text.setValueBinding("value", vb);
            column4.getChildren().add(column4Text);


            HtmlOutputText column5Text = new HtmlOutputText();
            column5Text.setId("htmlOutputText5");
            vb = 
 FacesContext.getCurrentInstance().getApplication().createValueBinding("#{catalog.TITLE}");
            column5Text.setValueBinding("value", vb);
            column5.getChildren().add(column5Text);


            HtmlOutputText column6Text = new HtmlOutputText();
            column6Text.setId("htmlOutputText6");
            vb = 
 FacesContext.getCurrentInstance().getApplication().createValueBinding("#{catalog.AUTHOR}");
            column6Text.setValueBinding("value", vb);
            column6.getChildren().add(column6Text);


            ResultSetDataModel dataModel = new ResultSetDataModel();
            dataModel.setWrappedData(rs);
            dataTable1.setValue(dataModel);


        } catch (SQLException e) {
            System.out.println(e.getMessage());
        } catch (javax.naming.NamingException e) {
            System.out.println(e.getMessage());
        }


        return null;
    }


}



